Make examples, apisandbox and api.php help module use formatversion=2 by default
Open, Needs TriagePublic

Description

In order to better evangelize formatversion=2, we should update examples and have them use formatversion=2 explicitly instead of the backwards compatible default. This includes examples of the api.php help module and execution of the apisandbox. (maybe we could introduce a preferred marker, to show things that are not low level default, but should be used as default when building new requests),

By not making formatversion explicit in our examples, i keep seeing people use the backwards compatible default, even in brand new stackoverflow examples and everything. The new format is more logical and should thus be used at all points where we are likely to introduce people to the api.

TheDJ created this task.Oct 21 2017, 9:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2017, 9:35 AM